Skip to main content
GET
Get an XSD Schema

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider. Send it in the Authorization header as Bearer <token>.

Path Parameters

id
string
required

XSD Schema ID (UUID).

Example:

"018f3e2a-1c4d-7b9e-a1b2-c3d4e5f6a7b8"

Response

Indicates that the request was successful and the response contains the requested data.

byteSize
integer<int64>
required

Size of the schema content in bytes.

Example:

4096

content
string
required

Raw XSD document content.

Example:

"<?xml version=\"1.0\"?><xs:schema xmlns:xs=\"http://www.w3.org/2001/XMLSchema\"/>"

contentHash
string
required

Hash of the schema content for integrity verification.

Example:

"sha256:9f2c8b1a4d7e0f3c6b5a8d2e1f4c7b0a3d6e9f2c5b8a1d4e7f0c3b6a9d2e5f8c"

createdAt
string<date-time>
required

Creation timestamp (RFC 3339).

Example:

"2026-01-15T10:30:00Z"

createdBy
string
required

Identity that uploaded the schema.

Example:

"user@example.com"

id
string<uuid>
required

XSD schema identifier.

Example:

"018f3e2a-1c4d-7b9e-a1b2-c3d4e5f6a7b8"

imports
string[] | null
required

Namespaces imported/included by this schema.

Example:
name
string
required

Schema name.

Example:

"pain.001"

targetNamespace
string
required

XSD targetNamespace declared by the schema.

Example:

"urn:iso:std:iso:20022:tech:xsd:pain.001.001.09"

version
string
required

Schema version.

Example:

"1"